Package twisted :: Package cred :: Module authorizer :: Class DefaultAuthorizer

[frames | no frames]

## Class DefaultAuthorizer

    Accessor --+
               |
      Authorizer --+
                   |
                  DefaultAuthorizer

Known Subclasses:
  `OpenSSHConchAuthorizer`

I am an authorizer which requires no external dependencies.

I am implemented as a hash of Identities.

Method Summary
| ``__init__`(self, serviceCollection)` Create a hash of identities.
| ``addIdentity`(self, identity)` Add an identity to me.
| ``getIdentityRequest`(self, name)` Get a Deferred callback registration object.
| `removeIdentity(self, identityName)`
Inherited from Authorizer
| ``createIdentity`(self, name)` Create an identity of an appropriate type for this Authorizer.
| ``get_application`(self)`
| ``getServiceNamed`(self, name)`
| ``setApplication`(self, app)` Set the application for this authorizer.
| ``setServiceCollection`(self, collection)` Set the service collection for this authorizer.
Inherited from Accessor
| ``__delattr__`(self, k)`
| ``__getattr__`(self, k)`
| ``__setattr__`(self, k, v)`
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects.
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects.

Instance Variable Summary
Inherited from Authorizer
`_AbstractServiceCollection` | `serviceCollection`: The set of services that are using this authorizer.

Method Details

### __init__(self, serviceCollection=None)
(Constructor)

Create a hash of identities.

  Overrides:
    `twisted.cred.authorizer.Authorizer.__init__`

### addIdentity(self, identity)

Add an identity to me.

  Overrides:
    `twisted.cred.authorizer.Authorizer.addIdentity`

### getIdentityRequest(self, name)

Get a Deferred callback registration object.

I return a `deferred` which will be called back to when an identity is discovered to be available (or errback for unavailable).

  Overrides:
    `twisted.cred.authorizer.Authorizer.getIdentityRequest`

Generated by Epydoc 2.0 on Sat May 15 20:08:26 2004 | http://epydoc.sf.net